using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate632 : MulticastDelegate
{
	public extern TaskAwaiter Invoke(object object_0);

	public static TaskAwaiter smethod_0(object object_0, Delegate632 delegate632_1)
	{
		return delegate632_1(object_0);
	}

	public extern Delegate632(object object_0, IntPtr intptr_0);

	static Delegate632()
	{
		Class10.smethod_13(typeof(Delegate632).TypeHandle);
	}

	internal static Delegate632 delegate632_0;
}
